/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */
package com.icesoft.faces.facelets.component.table;

import javax.faces.event.ActionEvent;
import javax.faces.model.DataModel;
import java.io.Serializable;
import java.util.logging.Logger;

public abstract class BaseTableBean implements Serializable {

    protected int displayedRows = 10;
    protected transient DataModel data;
    protected boolean visible;
    
    private static final Logger LOG = Logger.getLogger(BaseTableBean.class.getName());

    public boolean isVisible() {
        return visible;
    }

    public void increaseRows(ActionEvent evt) {
        this.displayedRows += 5;
    }

    public void decreaseRows(ActionEvent evt) {
        this.displayedRows -= 5;
    }

    public int getDisplayedRows() {
        return displayedRows;
    }

    public void setDisplayedRows(int displayedRows) {
        this.displayedRows = displayedRows;
    }

    public DataModel getData() {
        return data;
    }

    public int getPages() {
    	if (getData() != null && getData().getRowCount() > 0) {
        	return (int) Math.ceil((double) getData().getRowCount() / displayedRows);
        } else {
            return 0;
        }
    }


}
